import { Module, ReExportVariableModule } from '../../module';
import * as types from './typings';
type ActionInput = types.ActionDefinition['input'];
type ActionOutput = types.ActionDefinition['output'];
export declare class ActionInputModule extends Module {
    private _input;
    constructor(_input: ActionInput);
    getContent(): Promise<string>;
}
export declare class ActionOutputModule extends Module {
    private _output;
    constructor(_output: ActionOutput);
    getContent(): Promise<string>;
}
export declare class ActionModule extends ReExportVariableModule {
    constructor(actionName: string, action: types.ActionDefinition);
}
export declare class ActionsModule extends ReExportVariableModule {
    constructor(actions: Record<string, types.ActionDefinition>);
}
export {};
